<?PHP
/**
 * Contains a helper class for validation errors.
 *
 * @author Nathan Eikermann <nathan@museum-digital.de>
 */
declare(strict_types = 1);
/**
 * Class holding the information about various errors
 * that can occur during validation 
 */
final class CSVXMLValidator
{
    public array $error_msgs;
    public array $inv_errors;
    public array $depcon_errors;
    
    /**
     * Constructor
     */ 
    public function __construct()
    {
        $error_msgs = [];
        $inv_errors = [];
        $depcon_errors = [];
    }
}
